Bug 97607 - Missing dependency on glibc in mount package causes relocation error
Summary: Missing dependency on glibc in mount package causes relocation error
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mount   
(Show other bugs)
Version: 1.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-18 10:43 UTC by Jan Pazdziora
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 21:21:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Pazdziora 2003-06-18 10:43:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.10 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
I upgraded some of my packages using rpm -Fvh on the rawhide directory. One of
the packages which got upgraded was mount, to version mount-2.11y-19. However,
after reboot bad things started to happen, with messages like

umount: umount: relocation error: umount: symbol sys_siglist, version
GLIBC_2.3.3 not defined in file libc.so.6 with link time reference

ruining my day.

Upgrade of glibc to glibc-2.3.2-51 fixed the problem. But I believe that  mount
should be dependent on this package. I'm not sure about the previous version of
glibc I had (is there any rpm option that would tell me?) but I believe it was
2.3.2-27.

I believe that the man package has the same problem but I don't have the exact
error message.


Version-Release number of selected component (if applicable):
mount-2.11y-19

How reproducible:
Didn't try to downgrade the glibc and mount and upgrade it again.

Steps to Reproduce:
1. Have system with older glibc package than 2.3.2-51.
2. Run rpm -Fvh mount-2.11y-19.rpm.
3. See it succeed.
4. Try to run mount command and see it fail.
    

Actual Results:  I got mount package upgraded and then mount command fail with
error message

symbol sys_siglist, version GLIBC_2.3.3 not defined in file libc.so.6 with link
time reference


Expected Results:  The mount command should have continued to work, or rpm -Fvh
should have failed with dependency on the new glibc package.

Additional info:

Comment 1 Elliot Lee 2003-07-30 21:21:01 UTC
This is a transient problem with rawhide - putting a new symbol version in just for 
sys_siglist (which only disappeared accidentally) is not worth the effort.


Note You need to log in before you can comment on or make changes to this bug.